Android: transforma las clases con Dex para depuración

Mi proyecto funcionaba bien hasta que agregué la dependencia de Facebook. Empecé a recibir este error. He leído muchas preguntas, el problema parece estar relacionado con MultiDex . Pero ninguna de las soluciones funcionó para mí

 Error:Execution failed for task ':app:transformClassesWithDexForDebug'. > com.android.build.api.transform.TransformException: com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command '/usr/lib/jvm/java-7-openjdk-amd64/bin/java'' finished with non-zero exit value 1 

Incluso después de eliminar lo que agregué, todavía se muestra y, al parecer, gradle parece estar tardando mucho tiempo de lo normal.

Aquí está mi build.gradle

 apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.0.3" defaultConfig { applicationId "net.ciblo.spectrodraft" minSdkVersion 15 targetSdkVersion 23 versionCode 1 multiDexEnabled true } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) testCompile 'junit:junit:4.12' repositories { mavenCentral() maven { url "https://oss.sonatype.org/content/repositories/snapshots/" } } compile 'com.facebook.android:facebook-android-sdk:[4,5)' compile 'com.android.support:multidex:1.0.1' compile 'com.android.support:appcompat-v7:23.2.1' compile 'com.android.support:cardview-v7:23.2.1' compile 'com.android.support:design:23.2.1' compile 'com.daimajia.easing:library:1.0.1@aar' compile 'com.daimajia.androidanimations:library:1.1.3@aar' compile 'com.google.android.gms:play-services:8.4.0' compile 'com.mcxiaoke.volley:library-aar:1.0.0' compile 'com.pnikosis:materialish-progress:1.5' compile 'com.nineoldandroids:library:2.4.+' compile 'com.michaelpardo:activeandroid:3.1.0-SNAPSHOT' compile 'com.android.support:support-v4:23.2.1' compile 'com.nostra13.universalimageloader:universal-image-loader:1.9.5' } 

Agregar el siguiente código al módulo de la aplicación build.gradle resolvió mi problema

 android{ defaultConfig { // Enabling multidex support. multiDexEnabled true } dexOptions { javaMaxHeapSize "4g" } } dependencies { //... compile 'com.android.support:multidex:1.0.0' } 

puede comstackr selectivamente las API de servicio de Google Play en su aplicación. Por ejemplo, para incluir solo las API de Google Fit y Android Wear, reemplace la siguiente línea en su archivo build.gradle:

  compile 'com.google.android.gms:play-services:8.4.0' 

con estas líneas:

 compile 'com.google.android.gms:play-services-fitness:8.4.0' compile 'com.google.android.gms:play-services-wearable:8.4.0' 

==> para mantener el número de métodos en su aplicación (incluidas las API de framework, los métodos de biblioteca y su propio código) por debajo del límite de 65.536.

Agregando lo siguiente en build.gradle solucionó el problema para mí,

 android { //... compileOptions { sourceCompatibility JavaVersion.VERSION_1_8 targetCompatibility JavaVersion.VERSION_1_8 //... }